
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: xml-commons-resolver: build without javadoc

The version of javadoc included in Fedora 8 doesn't like the javadoc
bits of the xml-commons-resolver package, and bombs out when trying to
build xml-commons-resolver's javadoc target.  This hacky patch disables
building javadoc entirely for xml-commons-resolver.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/xml-commons-resolver.spec
===================================================================
--- SPECS.orig/xml-commons-resolver.spec
+++ SPECS/xml-commons-resolver.spec
@@ -7,7 +7,7 @@
 
 Name:           xml-commons-resolver
 Version:        1.1
-Release: 	    1jpp.12
+Release: 	    1jpp.12.fa1
 Epoch:          0
 Summary:        Resolver subproject of xml-commons.
 License:        Apache Software License
@@ -65,7 +65,7 @@ perl -p -i -e 's|org.apache.xml.resolver
 #fi
 
 #ant -Ddocbook.dir=$DOCBOOK_XSL -f resolver.xml main
-ant -f resolver.xml jar javadocs
+ant -f resolver.xml jar
 
 %install
 rm -rf $RPM_BUILD_ROOT
@@ -78,8 +78,8 @@ cp build/resolver.jar $RPM_BUILD_ROOT%{_
 (cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
 
 # Javadocs
-mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
-cp -pr build/apidocs/resolver/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
+#mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
+#cp -pr build/apidocs/resolver/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
 
 # Scripts
 mkdir -p $RPM_BUILD_ROOT%{_bindir}
@@ -94,14 +94,14 @@ cp %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%post javadoc
-rm -f %{_javadocdir}/%{name}
-ln -s %{name}-%{version} %{_javadocdir}/%{name}
-
-%postun javadoc
-if [ "$1" = "0" ]; then
-    rm -f %{_javadocdir}/%{name}
-fi
+#%post javadoc
+#rm -f %{_javadocdir}/%{name}
+#ln -s %{name}-%{version} %{_javadocdir}/%{name}
+
+#%postun javadoc
+#if [ "$1" = "0" ]; then
+#    rm -f %{_javadocdir}/%{name}
+#fi
 
 %post
 %if %{gcj_support}
@@ -129,9 +129,9 @@ fi
 %attr(-,root,root) %{_libdir}/gcj/%{name}
 %endif
 
-%files javadoc
-%defattr(0644,root,root,0755)
-%{_javadocdir}/%{name}-%{version}
+#%files javadoc
+#%defattr(0644,root,root,0755)
+#%{_javadocdir}/%{name}-%{version}
 
 %changelog
 * Thu Aug 10 2006 Deepak Bhole <dbhole@redhat.com> 1.1-1jpp.12
